{% extends "./plantilla.html" %}
{% load static %}

{% block title %}Product Admin - Productos{% endblock %}

{% block contenido %}
<div id="content">
  <div id="content-header">
    <div id="breadcrumb">
      <a href="#" title="Go to Home" class="tip-bottom"><i class="icon-home"></i> Home</a>
      <a href="#" class="current">Posición</a>
    </div>
   
  </div>
  <div class="container-fluid">
    <div class="row-fluid">
      <!-- Formulario -->
      <div class="span6">
        <div class="widget-box">
          <div class="widget-title">
            <span class="icon"><i class="icon-align-justify"></i></span>
            <h5>Agregar Posicion</h5>
          </div>
          <div class="widget-content nopadding">
            <form action="/guardarPosicion/" method="post" class="form-horizontal">
              {% csrf_token %}
              <div class="control-group">
                <label class="control-label" for="nombre_pos">Posicion del Jugador:</label>
                <div class="controls">
                  <input id="nombre_pos" name="nombre_pos"  type="text" name="nombre" class="span11" placeholder="Posición del jugador" required />
                </div>
              </div>
              <div class="control-group">
                <label for="descripcion_pos" class="control-label">Descripcion:</label>
                <div class="controls">
                  <input id="descripcion_pos" name="descripcion_pos" type="text" class="span11" placeholder="Descripcion del jugador" required>
                </div>
              </div>
           
              <div class="form-actions">
                <button type="submit" name="button" class="btn btn-primary">Guardar</button>
                    &nbsp;&nbsp;&nbsp;
                    &nbsp;&nbsp;&nbsp;
                    &nbsp;&nbsp;&nbsp;
                  <a href="/listadoPosicion" class="btn btn-danger ml-2">Cancelar</a>
              </div>
            </form>
          </div>
        </div>
      </div>

      <!-- Tabla -->
      <div class="span6">
        <div class="widget-box">
          <div class="widget-title">
            <span class="icon"><i class="icon-th"></i></span>
            <h5>Tabla de Equipos</h5>
          </div>
          <div class="widget-content nopadding">
            <table class="table table-hover tm-table-small tm-product-table">
              <thead>
                  <tr>
                    <th scope="col">Id</th>
                    <th scope="col">Posicion</th>
                    <th scope="col">Descripcion</th>
                    <th scope="col">Acciones</th>
                  </tr>
              </thead>
              <tbody>
                    
                    {% for posicion in posiciones %}
                    <tr>
                        <td>{{ posicion.id_pos }}</td>
                        <td>{{ posicion.nombre_pos }}</td>
                        <td>{{ posicion.descripcion_pos }}</td>
                      <td style="display: flex; justify-content: space-between;">
                        <a href="/editarPosicion/{{ posicion.id_pos }}" class="btn btn-warning btn-sm" data-toggle="modal" title="Editar" style="margin-right: 10px;">
                          <i class="icon-pencil" style="color: #FFD43B;"></i>
                        </a>
                        <a href="javascript:void(0)" onclick="eliminarPosicion('/eliminarPosicion/{{ posicion.id_pos }}');" class="btn btn-danger btn-sm" title="Eliminar">
                          <i class="icon-trash" style="color: #d41200;"></i>
                        </a>
                      </td>
                  </tr>
                  {% endfor %}
              </tbody>
          </table>
          </div>
        </div>
      </div>
    </div>
  </div>
  <script type="text/javascript">
    function eliminarPosicion(url) {
        iziToast.question({
            timeout: 15000,
            close: true,
            overlay: true,
            displayMode: 'once',
            id: 'question',
            zindex: 999,
            title: 'CONFIRMACIÓN',
            message: '¿Está seguro de eliminar el destino seleccionado?',
            position: 'center',
            buttons: [
                ['<button><b>SI</b></button>', function (instance, toast) {
                    instance.hide({ transitionOut: 'fadeOut' }, toast, 'button');
                    window.location.href=url;
                }, true],
                ['<button>NO</button>', function (instance, toast) {
                    instance.hide({ transitionOut: 'fadeOut' }, toast, 'button');
                }],
            ]
        });
    }
</script>
</div>
{% endblock %}
